Package org.eclipse.emf.compare.provider.spec

# Class ConflictItemProviderSpec

java.lang.Object
org.eclipse.emf.common.notify.impl.AdapterImpl
org.eclipse.emf.edit.provider.ItemProviderAdapter
org.eclipse.emf.compare.provider.ConflictItemProvider
org.eclipse.emf.compare.provider.spec.ConflictItemProviderSpec

All Implemented Interfaces:
  `Adapter`, `Adapter.Internal`, `ResourceLocator`, `IItemDescriptionProvider`, `IItemStyledLabelProvider`, `CreateChildCommand.Helper`, `IChangeNotifier`, `IDisposable`, `IEditingDomainItemProvider`, `IItemColorProvider`, `IItemFontProvider`, `IItemLabelProvider`, `IItemPropertySource`, `IStructuredItemContentProvider`, `ITreeItemContentProvider`

public class ConflictItemProviderSpec extends ConflictItemProvider implements IItemStyledLabelProvider, IItemDescriptionProvider
Specialized `ConflictItemProvider` returning nice output for `getText(Object)` and `getImage(Object)`.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.edit.provider.ItemProviderAdapter

`ItemProviderAdapter.ChildrenStore, ItemProviderAdapter.ModifiableSingletonEList<E>, ItemProviderAdapter.ResultAndAffectedObjectsWrappingCommand, ItemProviderAdapter.ResultAndAffectedObjectsWrappingCommandActionDelegate`

## Nested classes/interfaces inherited from interface org.eclipse.emf.common.notify.Adapter

`Adapter.Internal`

## Field Summary

### Fields inherited from class org.eclipse.emf.compare.provider.ConflictItemProvider

`copyright`

### Fields inherited from class org.eclipse.emf.edit.provider.ItemProviderAdapter

`adapterFactory, changeNotifier, childrenFeatures, childrenReferences, childrenStoreMap, itemPropertyDescriptors, targets, wrappers, wrappingNeeded`

### Fields inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl

`target`

### Fields inherited from interface org.eclipse.emf.edit.provider.IItemColorProvider

`GRAYED_OUT_COLOR`

### Fields inherited from interface org.eclipse.emf.edit.provider.IItemFontProvider

`BOLD_FONT, BOLD_ITALIC_FONT, ITALIC_FONT, NORMAL_FONT`

## Constructor Summary

Constructors
Constructor
Description
`ConflictItemProviderSpec(AdapterFactory adapterFactory)`
Constructs a ComparisonItemProviderSpec with the given factory.

## Method Summary

Modifier and Type
Method
Description
`String`
`getDescription(Object object)`
Returns the description for the given object.
`Object`
`getImage(Object object)`
This returns Conflict.gif.
`IStyledString.IComposedStyledString`
`getStyledText(Object object)`
Returns the styled text label for the given object.
`String`
`getText(Object object)`
This returns the label text for the adapted class.

### Methods inherited from class org.eclipse.emf.compare.provider.ConflictItemProvider

`addDifferencesPropertyDescriptor, addKindPropertyDescriptor, collectNewChildDescriptors, getPropertyDescriptors, getResourceLocator, notifyChanged`

### Methods inherited from class org.eclipse.emf.edit.provider.ItemProviderAdapter

`addListener, adjustWrapperIndex, adjustWrapperIndices, adjustWrapperIndices, createAddCommand, createAddCommand, createChildParameter, createChildrenStore, createCommand, createCopyCommand, createCreateChildCommand, createCreateChildCommand, createCreateCopyCommand, createDragAndDropCommand, createDragAndDropCommand, createInitializeCopyCommand, createItemPropertyDescriptor, createItemPropertyDescriptor, createItemPropertyDescriptor, createMoveCommand, createMoveCommand, createRemoveCommand, createRemoveCommand, createReplaceCommand, createReplaceCommand, createReplaceCommand, createSetCommand, createSetCommand, createWrapper, crop, dispose, disposeWrapper, disposeWrappers, factorAddCommand, factorMoveCommand, factorRemoveCommand, fireNotifyChanged, getAdapterFactory, getBackground, getBackground, getBaseURL, getChildFeature, getChildReference, getChildren, getChildrenFeatures, getChildrenReferences, getChildrenStore, getColumnImage, getColumnText, getCreateChildDescription, getCreateChildImage, getCreateChildResult, getCreateChildText, getCreateChildToolTipText, getEditableValue, getElements, getFeatureText, getFeatureValue, getFont, getFont, getForeground, getForeground, getImage, getNewChildDescriptors, getParent, getPropertyDescriptor, getPropertyValue, getReferenceValue, getResourceLocator, getRootAdapterFactory, getSetFeature, getSetFeatures, getString, getString, getString, getString, getString, getString, getString, getString, getTypeText, getTypeText, getUpdateableText, getValue, getWrappedValues, hasChildren, hasChildren, isAdapterForType, isEquivalentValue, isPropertySet, isResolveProxies, isValidValue, isWrappingNeeded, overlayImage, removeListener, resetPropertyValue, setPropertyValue, setTarget, shouldComposeCreationImage, shouldTranslate, unsetTarget, unwrap, unwrapCommandValues, updateChildren, wrap, wrapCommand`

### Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl

`getTarget`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.edit.provider.IEditingDomainItemProvider

`createCommand, getChildren, getNewChildDescriptors, getParent`

### Methods inherited from interface org.eclipse.emf.edit.provider.IItemColorProvider

`getBackground, getForeground`

### Methods inherited from interface org.eclipse.emf.edit.provider.IItemFontProvider

`getFont`

### Methods inherited from interface org.eclipse.emf.edit.provider.IItemPropertySource

`getEditableValue, getPropertyDescriptor`

### Methods inherited from interface org.eclipse.emf.edit.provider.IStructuredItemContentProvider

`getElements`

### Methods inherited from interface org.eclipse.emf.edit.provider.ITreeItemContentProvider

`getChildren, getParent, hasChildren`

## Constructor Details

### ConflictItemProviderSpec

public ConflictItemProviderSpec(AdapterFactory adapterFactory)
Constructs a ComparisonItemProviderSpec with the given factory.

Parameters:
  `adapterFactory` - the factory given to the super constructor.

## Method Details

### getText

public String getText(Object object)
This returns the label text for the adapted class.

Specified by:
  `getText` in interface `IItemLabelProvider`
Overrides:
  `getText` in class `ConflictItemProvider`
See Also:
  - `ConflictItemProvider.getText(java.lang.Object)`

### getImage

public Object getImage(Object object)
This returns Conflict.gif.

Specified by:
  `getImage` in interface `IItemLabelProvider`
Overrides:
  `getImage` in class `ConflictItemProvider`
See Also:
  - `ConflictItemProvider.getImage(java.lang.Object)`

### getStyledText

public IStyledString.IComposedStyledString getStyledText(Object object)
Returns the styled text label for the given object.

Specified by:
  `getStyledText` in interface `IItemStyledLabelProvider`
Overrides:
  `getStyledText` in class `ItemProviderAdapter`
Parameters:
  `object` - the object to evaluate the styled string for.
Returns:
  the styled string.
See Also:
  - `IItemStyledLabelProvider.getStyledText(java.lang.Object)`

### getDescription

public String getDescription(Object object)
Returns the description for the given object.

Specified by:
  `getDescription` in interface `IItemDescriptionProvider`
Parameters:
  `object` - the object to evaluate the description for.
Returns:
  the description.
See Also:
  - `IItemDescriptionProvider.getDescription(java.lang.Object)`